[PACKAGE]: ../../raw/master/mkp/checkpoint_mho_buffers-0.0.2-20230529.mkp "checkpoint_mho_buffers-0.0.2-20230529.mkp"
# Check Point MHO buffers

Monitors status of Check Point Orchestrator (MHO) port RX buffers

---
###Check Info

* *service*: creates the service **_RX buffers port {item}_** for each MHO port, with the port index as item

* *state*: always OK

* *wato*: [(see WATO options)](/../../../-/raw/masterimg/wato.png "see sample screenshot")

* *perfdata (if avilable)*: 
    * RX buffer 0 discards/s
    * RX buffer 0 frames/s
    * RX buffer 0 octets/s
    * RX buffer 1 discards/s
    * RX buffer 1 frames/s
    * RX buffer 1 octets
    * RX buffer 2 discards/s
    * RX buffer 2 frames/s
    * RX buffer 2 octets/s
    * RX buffer 3 discards/s
    * RX buffer 3 frames/s
    * RX buffer 3 octets/s
    * RX buffer 4 discards/s
    * RX buffer 4 frames/s
    * RX buffer 4 octets/s
    * RX buffer 5 discards/s
    * RX buffer 5 frames/s
    * RX buffer 5 octets/s
    * RX buffer 6 discards/s
    * RX buffer 6 frames/s
    * RX buffer 6 octets/s
    * RX buffer 7 discards/s
    * RX buffer 7 frames/s
    * RX buffer 7 octets/s

---
### Download

* [Download latest mkp file][PACKAGE]

**Note**: before you update to a newer version, always check the [CHANGELOG](CHANGELOG). There might be incompatible changes.

---                   
### Installation

You can install the package by uploading it to your CheckMK site and as site user run 
```
mkp install PACKAGENAME-VERSION.mkp
```
or beginning with CMK2.2.x
```
mkp add PACKAGENAME-VERSION.mkp
mkp enable PACKAGENAME VERSION
```
In the non RAW editions of CheckMK you can use the GUI to install the package (_Setup_ -> _Extension Packages_ -> _Upload package_)

---
### Want to contribute?

Nice ;-) Have a look at the [contribution guidelines](CONTRIBUTING.md "Contributing")

---
### Sample output

![sample output](img/sample.png?raw=true "sample output")

WATO

![WATO options](img/wato.png?raw=true "WATO options")

WATO options (discovery)

![WATO options (discovery)](img/wato-discovery.png?raw=true "WATO options (discovery)")
